## CamelLocalStore

CamelLocalStore

## Functions

gboolean | camel_local_store_is_main_store ()
gchar * | camel_local_store_get_full_path ()
gchar * | camel_local_store_get_meta_path ()
guint32 | camel_local_store_get_folder_type_by_full_name ()
gboolean | camel_local_store_get_need_summary_check ()
void | camel_local_store_set_need_summary_check ()

## Properties

gboolean | need-summary-check | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelLocalStore
                        ├── CamelMaildirStore
                        ├── CamelMboxStore
                        ╰── CamelMhStore

## Description

## Functions

### camel_local_store_is_main_store ()

    gboolean
    camel_local_store_is_main_store (CamelLocalStore *store);

### camel_local_store_get_full_path ()

    gchar *
    camel_local_store_get_full_path (CamelLocalStore *store,
                                     const gchar *full_name);

### camel_local_store_get_meta_path ()

    gchar *
    camel_local_store_get_meta_path (CamelLocalStore *store,
                                     const gchar *full_name,
                                     const gchar *ext);

### camel_local_store_get_folder_type_by_full_name ()

    guint32
    camel_local_store_get_folder_type_by_full_name
                                   (CamelLocalStore *store,
                                    const gchar *full_name);

### camel_local_store_get_need_summary_check ()

    gboolean
    camel_local_store_get_need_summary_check
                                   (CamelLocalStore *store);

Returns whether local mail files for `store` should be check for consistency and the summary database synchronized with them. This is necessary to handle another mail application altering the files, such as local mail delivery using fetchmail.

#### Parameters

store | a CamelLocalStore |

#### Returns

whether to check for changes in local mail files

Since: 3.2

### camel_local_store_set_need_summary_check ()

    void
    camel_local_store_set_need_summary_check
                                   (CamelLocalStore *store,
                                    gboolean need_summary_check);

Sets whether local mail files for `store` should be checked for consistency and the summary database synchronized with them. This is necessary to handle another mail application altering the files, such as local mail delivery using fetchmail.

#### Parameters

store | a CamelLocalStore |
need_summary_check | whether to check for changes in local mail files |

Since: 3.2

## Property Details

### The `“need-summary-check”` property

      “need-summary-check”       gboolean

Whether to check for unexpected file changes.

Owner: CamelLocalStore

Flags: Read / Write / Construct

Default value: TRUE